Subject: Re: [PATCH v5 00/44] Make git-am a builtin

From: Junio C Hamano <[email-masked]>
Date: Sun, 12 Jul 2015 10:32:22 -0700

Paul Tan <[email-masked]> writes:

>> However, I am reluctant to blindly replace assert(!state->field)
>> with free(state->field).  Are there cases where we _must_ call a
>> function that sets these fields at most once?
>
> I wouldn't say we are "blindly" replacing them.

I said "I was", not "you and me".  If there was a case where we
should never call into a codepath once these fields are already
initialized, then we need to keep assert(!state->field) in such a
codepath.  I didn't know if that were the case, hence I would have
been blindly replacing, which I didn't want to do.  And that is why
I asked _you_ ;-)